GDB (xrefs)

Functions | Variables
py-event.c File Reference
`#include "defs.h"`
`#include "py-event.h"`

Go to the source code of this file.

## Functions
void | evpy_dealloc (PyObject *self)
gdbpy_ref | create_event_object (PyTypeObject *py_type)
int | evpy_add_attribute (PyObject *event, const char *name, PyObject *attr)
int | gdbpy_initialize_event (void)
int | gdbpy_initialize_event_generic (PyTypeObject *type, const char *name)
int | evpy_emit_event (PyObject *event, eventregistry_object *registry)

## Variables
static gdb_PyGetSetDef | event_object_getset []
PyTypeObject | event_object_type

## Function Documentation

## ◆ create_event_object()

gdbpy_ref create_event_object | ( | PyTypeObject * | py_type | ) |

Definition at line 31 of file py-event.c.

References gdb::ref_ptr< T, Policy >::release().

Referenced by create_clear_objfiles_event_object(), create_exited_event_object(), create_inferior_call_event_object(), create_memory_changed_event_object(), create_new_objfile_event_object(), create_register_changed_event_object(), create_thread_event_object(), python_inferior_deleted(), and python_new_inferior().

## ◆ evpy_add_attribute()

int evpy_add_attribute | ( | PyObject * | event,
|  | const char * | name,
|  | PyObject * | attr
| ) |  |

Definition at line 50 of file py-event.c.

References name.

Referenced by create_breakpoint_event_object(), create_clear_objfiles_event_object(), create_exited_event_object(), create_inferior_call_event_object(), create_memory_changed_event_object(), create_new_objfile_event_object(), create_register_changed_event_object(), create_signal_event_object(), create_thread_event_object(), python_inferior_deleted(), and python_new_inferior().

## ◆ evpy_dealloc()

void evpy_dealloc | ( | PyObject * | self | ) |

Definition at line 24 of file py-event.c.

References Py_TYPE.

## ◆ evpy_emit_event()

int evpy_emit_event | ( | PyObject * | event,
|  | eventregistry_object * | registry
| ) |  |

Definition at line 83 of file py-event.c.

References eventregistry_object::callbacks, func, gdbpy_print_stack(), and gdb::ref_ptr< T, Policy >::get().

Referenced by add_thread_object(), emit_clear_objfiles_event(), emit_continue_event(), emit_exited_event(), emit_inferior_call_event(), emit_memory_changed_event(), emit_new_objfile_event(), emit_register_changed_event(), emit_stop_event(), gdbpy_before_prompt_hook(), gdbpy_breakpoint_created(), gdbpy_breakpoint_deleted(), gdbpy_breakpoint_modified(), python_inferior_deleted(), and python_new_inferior().

## ◆ gdbpy_initialize_event()

int gdbpy_initialize_event | ( | void |  | ) |

Definition at line 58 of file py-event.c.

References event_object_type, and gdbpy_initialize_event_generic().

Referenced by do_start_initialization().

## ◆ gdbpy_initialize_event_generic()

int gdbpy_initialize_event_generic | ( | PyTypeObject * | type,
|  | const char * | name
| ) |  |

Definition at line 69 of file py-event.c.

References gdb_module, gdb_pymodule_addobject(), and name.

Referenced by gdbpy_initialize_event().

## Variable Documentation

## ◆ event_object_getset

gdb_PyGetSetDef event_object_getset[]
| static

Initial value:
=
{
{ "__dict__", gdb_py_generic_dict, NULL,
"The __dict__ for this event.", &event_object_type },
{ NULL }
}
gdb_py_generic_dict
PyObject * gdb_py_generic_dict(PyObject *self, void *closure)
Definition: py-utils.c:359
event_object_type
PyTypeObject event_object_type
Definition: py-event.c:124

Definition at line 117 of file py-event.c.

## ◆ event_object_type

PyTypeObject event_object_type

Definition at line 124 of file py-event.c.

Referenced by gdbpy_initialize_event().